org.apache.felix.ipojo.manipulator

## Interface MetadataProvider

All Known Implementing Classes:
  AnnotationMetadataProvider, CacheableMetadataProvider, CompositeMetadataProvider, EmptyMetadataProvider, FileMetadataProvider, StreamMetadataProvider

    public interface MetadataProvider

A `MetadataProvider` is responsible to provide iPOJO's metadata.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`List<org.apache.felix.ipojo.metadata.Element>` `getMetadatas()` Gather all the metadata.

### Method Detail

#### getMetadatas

    List<org.apache.felix.ipojo.metadata.Element> getMetadatas()
                                                        throws IOException

Gather all the metadata.

Returns:
  a list of iPOJO metadata (never return null)
Throws:
  `IOException` - if something wet wrong during gathering.